/*
  Model-View-Controller demo program.
  Copyright (C) 2006 by Maria Litvin and Gary Litvin.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details:
    http://www.gnu.org/licenses/gpl.html.
*/

import javax.swing.event.ChangeEvent;

// Represents a gas pedal in a car.
public class GasPedal extends Pedal
{
  private final Car car;

  public GasPedal(Car car)
  {
    this.car = car;
  }  

  // Called automatically when the pedal slider position changes.
  public void stateChanged(ChangeEvent e)
  {
    car.applyGas(getValue());
  }
}
