/*
  Model-View-Controller demo program.
  Copyright (C) 2006 by Maria Litvin and Gary Litvin.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details:
    http://www.gnu.org/licenses/gpl.html.
*/

import javax.swing.JSlider;
import javax.swing.event.ChangeListener;
import javax.swing.border.EmptyBorder;
import java.awt.event.MouseListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

// Implements a gas or brake pedal in a car, using a JSlider.
// The pedal is "released" when the mouse button is released.
public abstract class Pedal extends JSlider
      implements ChangeListener
{
  public Pedal()
  {
    super(VERTICAL, 0, 100, 0);
    setBorder(new EmptyBorder(5,5,15,5));
    addChangeListener(this);
    addMouseListener(new MouseAdapter()
    {
      public void mouseReleased(MouseEvent e)
      {
        setValue(0);
      }
    } );
  }
}
